Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.material
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.material	(revision 1683)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.material	(revision 1691)
@@ -116,17 +116,24 @@
 		pass
 		{
-			ambient 0.3 0.3 0.4
-			diffuse 0.9 0.9 1.0
+			ambient 0.8 0.8 0.8
+			diffuse 0.0 0.0 0.0
+			specular 0.0 0.0 0.0
 			//lighting off
 			IllumTechniques
 			{			
-				//RenderTechnique CausticReciever
+				RenderTechnique CausticReciever
+				{
+					max_caster_count	10
+				}
+				//RenderTechnique DepthShadowReciever
 				//{
-				//	max_caster_count	10
-				//}
-				RenderTechnique DepthShadowReciever
-				{
-				}				
-			}		
+				
+				//}			
+			}
+			texture_unit
+			{
+				texture rockWall.tga
+			}
+				
 		}
 	}
@@ -302,4 +309,31 @@
 }
 
+material GameTools/BlurCubeFace
+{ 
+
+   technique 
+   { 
+      
+      pass 
+      { 		
+		vertex_program_ref GameTools/BlurCubeFaceVS
+        {       
+                     
+	    } 
+		fragment_program_ref  GameTools/BlurCubeFacePS
+        { 
+			param_named_auto width viewport_width
+			param_named_auto height viewport_height
+			param_named face float 0
+        }
+        texture_unit
+        {
+			filtering bilinear
+        }
+        
+       }
+    }
+}
+
 vertex_program PhaseVS hlsl
 {
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/kupola.material
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/kupola.material	(revision 1683)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/kupola.material	(revision 1691)
@@ -15,8 +15,8 @@
 			//	max_caster_count	10
 			//}
-			RenderTechnique DepthShadowReciever
-			{
-				
-			}
+			//RenderTechnique DepthShadowReciever
+			//{
+			//	
+			//}
 		}
 		
@@ -69,8 +69,8 @@
 				//	max_caster_count	10
 				//}
-				RenderTechnique DepthShadowReciever
-				{
-					
-				}
+				//RenderTechnique DepthShadowReciever
+				//{
+				//	
+				//}
 			}
 			
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GlassHead.material
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GlassHead.material	(revision 1638)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GlassHead.material	(revision 1691)
@@ -50,5 +50,5 @@
 		    param_named_auto resolution viewport_width
 		    //param_named CauSpriteSize float 10.0	    
-		    param_named CauSpriteSize float 70.0	    
+		    param_named CauSpriteSize float 20.0	    
 	        } 
 		fragment_program_ref  GameTools/CauPS
@@ -131,5 +131,5 @@
 			RenderTechnique ColorCubeMap
 			{
-				update_interval		1
+				update_interval		0
 				update_all_face true
 				distance_calc true 3.5					
@@ -137,5 +137,5 @@
 			RenderTechnique DistanceCubeMap
 			{
-				update_interval		1
+				update_interval		0
 				update_all_face true
 				distance_calc true 3.5						
@@ -144,8 +144,9 @@
 			{
 				attenuation	0
-				photonmap_resolution 32
-				caustic_cubemap_resolution 512	
-				//caustic_map_material		GameTools/CauTri
-				//use_triangles	true				
+				photonmap_resolution 128
+				caustic_cubemap_resolution 256	
+				caustic_map_material	GameTools/CauTri
+				use_triangles	true
+				blur_caustic_cubemap true				
 			}
 			
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.program
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.program	(revision 1671)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.program	(revision 1691)
@@ -10,4 +10,18 @@
 	source GameTools_Blur.hlsl
 	entry_point BlurPS
+	target ps_3_0
+} 
+
+vertex_program GameTools/BlurCubeFaceVS hlsl
+{
+	source GameTools_Blur.hlsl
+	entry_point BlurCubeFaceVS
+	target vs_2_0
+} 
+
+fragment_program GameTools/BlurCubeFacePS hlsl
+{
+	source GameTools_Blur.hlsl
+	entry_point BlurCubeFacePS
 	target ps_3_0
 } 
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_Blur.hlsl
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_Blur.hlsl	(revision 1257)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_Blur.hlsl	(revision 1691)
@@ -1,4 +1,4 @@
-#define samplesU 5
-#define samplesV 5
+#define samplesU 3
+#define samplesV 3
 
 struct VS_INPUT {           
@@ -39,2 +39,43 @@
   return tex2D(Texture, uv);
 }
+
+VS_OUTPUT BlurCubeFaceVS(VS_INPUT IN) {
+	VS_OUTPUT OUT;
+    OUT.hPosition = IN.Position;   
+    OUT.Position = OUT.hPosition;
+    return OUT;
+}
+
+float4 BlurCubeFacePS(VS_OUTPUT IN,
+			uniform samplerCUBE Texture : register(s0),
+			uniform float width,
+			uniform float height,
+			uniform float face ) : COLOR
+{  
+
+  float2 pixel = float2(2.0 / width, 2.0 / height);
+  float2 uv = IN.Position + pixel * 0.5;
+
+  float4 sum = float4(0,0,0,0);
+
+	for(int i = 0; i < samplesU; i++)
+	 for(int j = 0; j < samplesV; j++)
+	 {
+		float3 dir;
+		float2 pos = uv + float2(i - samplesU * 0.5,j - samplesV * 0.5) * pixel;
+		if (face == 0) dir = float3(1, pos.y, -pos.x);
+		if (face == 1) dir = float3(-1, pos.y, pos.x);
+		if (face == 2) dir = float3(pos.x, 1, -pos.y);
+		if (face == 3) dir = float3(pos.x, -1, pos.y);
+		if (face == 4) dir = float3(pos.x, pos.y, 1);
+		if (face == 5) dir = float3(-pos.x, pos.y,-1);
+		
+		sum += texCUBE(Texture, dir);
+	 }
+		
+
+  sum /= samplesU * samplesV;
+
+  return sum;
+  //return texCUBE(Texture, float3(uv, 1)) + face * 0.0000001;
+}
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_CauCube.hlsl
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_CauCube.hlsl	(revision 1487)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_CauCube.hlsl	(revision 1691)
@@ -23,5 +23,5 @@
    {
 		OUT.color = float4(0,0,0,0);		
-		OUT.hPosition = float4(0, 0, 1000000, 1);
+		OUT.hPosition = float4(0, 0, -1000000, 1);
    }
    else
@@ -43,5 +43,5 @@
 			sumdist += dist;
 			valids++;
-		}
+		}			
 		
 		float4 pos2 = tex2Dlod(PhotonHitMap, float4(uv + float2(-pixel, pixel),0,0));
@@ -68,9 +68,9 @@
 			valids++;
 		}
-				
-		float avrdist = sumdist / 4;//valids;
-		float maxdist = 1;
-		intensity = max(maxdist - avrdist, 0.0) / maxdist;
-		
+		//if(valids == 0) sumdist = 100000;		
+		float avrdist = sumdist / valids;
+		//float maxdist = 10;
+		//intensity = max(maxdist - avrdist, 0.0) / maxdist;
+		intensity = 60.0 / (avrdist * avrdist * 3.14);
 		//intensity = valids / 4.0;//avrdist;
 		
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_DepthShadow.hlsl
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_DepthShadow.hlsl	(revision 1671)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_DepthShadow.hlsl	(revision 1691)
@@ -80,5 +80,5 @@
 	float bias = 0.001;
 	float4 light = float4(1,1,1,1);
-	float4 shadow = float4(0.85,0.85,0.85,1);
+	float4 shadow = float4(0.25,0.25,0.25,1);
 	//float4 shadow = float4(0,0,0,1);
 	
Index: /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_Localized_EnvMap.hlsl
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_Localized_EnvMap.hlsl	(revision 1525)
+++ /GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_Localized_EnvMap.hlsl	(revision 1691)
@@ -47,7 +47,82 @@
 }*/
 
-
-
-
+#define LIN_ITERATIONCOUNT 8
+#define SECANT_ITERATIONCOUNT 3
+
+float3 Hit(float3 x, float3 R, samplerCUBE mp)
+{
+	R = normalize(R);
+	float3 xNorm = normalize(x);
+	float3 dt = (R - xNorm) / (float) LIN_ITERATIONCOUNT;
+	//float3 pN = normalize(cross(R, xNorm));
+	//float3 N = normalize(cross(pN,R));
+	//float d = dot(x, N);
+	
+	float3 under = x;
+	float3 over = R;
+	float dUnder = readDistanceCubeMap( mp, x);
+	float dOver = readDistanceCubeMap( mp, R);
+	
+	for(int i = 0; i < LIN_ITERATIONCOUNT; i++)
+	{
+		float3 dir = normalize(x + dt * i);
+		float dist = readDistanceCubeMap( mp, dir);
+		float3 point = dir * dist;
+		
+		float t = length(x) / dot(dir,xNorm);
+		
+		if(dist > t) //undershooting
+		{
+			under = normalize(point);
+			dUnder = dist;
+		}
+		else				//overshooting
+		{
+			over = normalize(point);
+			dOver = dist;
+			i = LIN_ITERATIONCOUNT;
+		}
+		
+	/*
+		
+		if( dot(N, point) > d)//undershooting
+			under = normalize(point);
+		else				//overshooting
+		{
+			over = normalize(point);
+			i = LIN_ITERATIONCOUNT;
+		}
+	*/
+	}
+	
+	float r1 = length(x) * ctan(acos(dot(under, xNorm)));
+	float r2 = length(x) * ctan(acos(dot(over, xNorm)));
+	float rl = dUnder;
+	
+	float ppp = dOver /  readDistanceCubeMap( mp, x);			// |p|/|p|
+	float dun = 0, pun = ppp, dov = 0, pov = 0;
+	float dl = rl * ( 1 - ppp );							// eq. 2
+	float3 l = x + R * dl;									// ray equation
+	
+	for( int i = 0; i < SECANT_ITERATIONCOUNT; i++ )
+	{
+		float llp = length( l ) / readDistanceCubeMap( mp, l);		// |l|/|l|
+		if ( llp < 0.999f )									// undershooting
+		{
+			dun = dl; pun = llp;							// last undershooting
+			dl += ( dov == 0 ) ? rl * ( 1 - llp ) :			// eq. 2
+				( dl - dov ) * ( 1 - llp ) / ( llp - pov );	// eq. 3
+		} else if ( llp > 1.001f )							// overshooting
+		{
+			dov = dl; pov = llp;							// last overshooting
+			dl += ( dl -dun ) * ( 1 - llp ) / ( llp - pun );// eq. 3
+		}
+		l = x + R * dl;										// ray equation
+	}
+	
+	return (under + over)/2.0;
+}
+
+/*
 // This function is called several times.
 float3 Hit( float3 x, float3 R, samplerCUBE mp )
@@ -78,4 +153,5 @@
 	return l;												// computed hit point
 }
+*/
 
 void LocalizedVS(float4 position : POSITION,
@@ -163,7 +239,7 @@
 	newTexCoord = R;	
 	
-	//newTexCoord = Hit(mPos, R, DistanceMap);
-	
-	Color = readCubeMap(CubeMap, newTexCoord ) + lastCenter.x*0.000001;	
+	newTexCoord = Hit(mPos, R, DistanceMap);
+	
+	Color = readCubeMap(CubeMap, newTexCoord ) /*+ lastCenter.x*0.000001*/;	
 	
 	float ctheta_in = dot(mNormal,R);
@@ -235,5 +311,5 @@
 	newTexCoord = Hit(mPos, R, DistanceMap);
 		
-	Color = float4(normalize(newTexCoord),1);
+	Color = float4(newTexCoord, 1);
 	
 	//Color = 0.0001 * Color +  float4(0,0,1,1);
Index: /GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsParticleDemo/scripts/GameToolsParticleDemo.vcproj.7.10.old
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsParticleDemo/scripts/GameToolsParticleDemo.vcproj.7.10.old	(revision 1691)
+++ /GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsParticleDemo/scripts/GameToolsParticleDemo.vcproj.7.10.old	(revision 1691)
@@ -0,0 +1,160 @@
+<?xml version="1.0" encoding="windows-1250"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="7.10"
+	Name="GameToolsParticleDemo"
+	ProjectGUID="{09F9E809-02CF-4926-8203-2B9C02FBD916}"
+	Keyword="Win32Proj">
+	<Platforms>
+		<Platform
+			Name="Win32"/>
+	</Platforms>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory="..\bin\$(ConfigurationName)"
+			IntermediateDirectory="..\obj\$(ConfigurationName)"
+			ConfigurationType="1"
+			CharacterSet="2">
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				ImproveFloatingPointConsistency="TRUE"
+				AdditionalIncludeDirectories="..\include;&quot;$(OGRE_PATH)\Samples\Common\include&quot;;&quot;$(OGRE_PATH)\OgreMain\include&quot;;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include\RenderTechniques;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include\RenderingRuns;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include\RenderTechniques;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include\RenderingRuns"
+				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;GAMETOOLS_ILLUMINATION_MODULE"
+				MinimalRebuild="TRUE"
+				BasicRuntimeChecks="3"
+				RuntimeLibrary="3"
+				EnableFunctionLevelLinking="TRUE"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="TRUE"
+				DebugInformationFormat="4"/>
+			<Tool
+				Name="VCCustomBuildTool"/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="OgreMain_d.lib IllumModule_Ogre.lib IllumModule.lib"
+				OutputFile="$(OutDir)/GameToolsParticleDemo.exe"
+				LinkIncremental="2"
+				AdditionalLibraryDirectories="..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\bin\Debug;&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\bin\Debug"
+				IgnoreDefaultLibraryNames=""
+				GenerateDebugInformation="TRUE"
+				ProgramDatabaseFile="$(OutDir)/proba.pdb"
+				SubSystem="2"
+				OptimizeForWindows98="1"
+				TargetMachine="1"/>
+			<Tool
+				Name="VCMIDLTool"/>
+			<Tool
+				Name="VCPostBuildEventTool"
+				CommandLine="copy $(OutDir)\$(TargetFileName) ..\..\..\bin\$(ConfigurationName)"/>
+			<Tool
+				Name="VCPreBuildEventTool"/>
+			<Tool
+				Name="VCPreLinkEventTool"/>
+			<Tool
+				Name="VCResourceCompilerTool"/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"/>
+			<Tool
+				Name="VCWebDeploymentTool"/>
+			<Tool
+				Name="VCManagedWrapperGeneratorTool"/>
+			<Tool
+				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="..\bin\$(ConfigurationName)"
+			IntermediateDirectory="..\obj\$(ConfigurationName)"
+			ConfigurationType="1"
+			CharacterSet="2"
+			WholeProgramOptimization="TRUE">
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="2"
+				GlobalOptimizations="TRUE"
+				InlineFunctionExpansion="1"
+				EnableIntrinsicFunctions="TRUE"
+				ImproveFloatingPointConsistency="TRUE"
+				FavorSizeOrSpeed="1"
+				OmitFramePointers="TRUE"
+				EnableFiberSafeOptimizations="FALSE"
+				OptimizeForProcessor="2"
+				OptimizeForWindowsApplication="TRUE"
+				AdditionalIncludeDirectories="..\include;&quot;$(OGRE_PATH)\Samples\Common\include&quot;;&quot;$(OGRE_PATH)\OgreMain\include&quot;;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include\RenderTechniques;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include\RenderingRuns;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include\RenderTechniques;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include\RenderingRuns"
+				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;GAMETOOLS_ILLUMINATION_MODULE"
+				StringPooling="TRUE"
+				MinimalRebuild="TRUE"
+				RuntimeLibrary="2"
+				BufferSecurityCheck="FALSE"
+				EnableFunctionLevelLinking="TRUE"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="TRUE"
+				DebugInformationFormat="3"/>
+			<Tool
+				Name="VCCustomBuildTool"/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="OgreMain.lib IllumModule_Ogre.lib IllumModule.lib"
+				OutputFile="$(OutDir)/GameToolsParticleDemo.exe"
+				LinkIncremental="1"
+				AdditionalLibraryDirectories="..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\bin\Release;&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\bin\Release"
+				GenerateDebugInformation="FALSE"
+				SubSystem="2"
+				OptimizeReferences="2"
+				EnableCOMDATFolding="2"
+				OptimizeForWindows98="1"
+				TargetMachine="1"/>
+			<Tool
+				Name="VCMIDLTool"/>
+			<Tool
+				Name="VCPostBuildEventTool"
+				CommandLine="copy $(OutDir)\$(TargetFileName) ..\..\..\bin\$(ConfigurationName)"/>
+			<Tool
+				Name="VCPreBuildEventTool"/>
+			<Tool
+				Name="VCPreLinkEventTool"/>
+			<Tool
+				Name="VCResourceCompilerTool"/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"/>
+			<Tool
+				Name="VCWebDeploymentTool"/>
+			<Tool
+				Name="VCManagedWrapperGeneratorTool"/>
+			<Tool
+				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm">
+			<File
+				RelativePath="..\src\GameToolsParticleDemo.cpp">
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc">
+			<File
+				RelativePath="..\include\GameToolsParticleDemo.h">
+			</File>
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe">
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: /GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsToneMapDemo/scripts/GameToolsToneMapDemo.vcproj.7.10.old
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsToneMapDemo/scripts/GameToolsToneMapDemo.vcproj.7.10.old	(revision 1691)
+++ /GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsToneMapDemo/scripts/GameToolsToneMapDemo.vcproj.7.10.old	(revision 1691)
@@ -0,0 +1,163 @@
+<?xml version="1.0" encoding="windows-1250"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="7.10"
+	Name="ToneMapDemo"
+	ProjectGUID="{09F9E809-02CF-4926-8203-2B9C02FBD916}"
+	Keyword="Win32Proj">
+	<Platforms>
+		<Platform
+			Name="Win32"/>
+	</Platforms>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory="..\bin\$(ConfigurationName)"
+			IntermediateDirectory="..\obj\$(ConfigurationName)"
+			ConfigurationType="1"
+			CharacterSet="2">
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				ImproveFloatingPointConsistency="TRUE"
+				AdditionalIncludeDirectories="..\include;&quot;$(OGRE_PATH)\Samples\Common\include&quot;;&quot;$(OGRE_PATH)\OgreMain\include&quot;;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include\RenderTechniques;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include\RenderingRuns;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include\RenderTechniques;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include\RenderingRuns"
+				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;GAMETOOLS_ILLUMINATION_MODULE"
+				MinimalRebuild="TRUE"
+				BasicRuntimeChecks="3"
+				RuntimeLibrary="3"
+				EnableFunctionLevelLinking="TRUE"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="TRUE"
+				DebugInformationFormat="4"/>
+			<Tool
+				Name="VCCustomBuildTool"/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="OgreMain_d.lib IllumModule_Ogre.lib IllumModule.lib"
+				OutputFile="$(OutDir)/GameToolsToneMapDemo.exe"
+				LinkIncremental="2"
+				AdditionalLibraryDirectories="..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\bin\Debug;&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\bin\Debug"
+				IgnoreDefaultLibraryNames=""
+				GenerateDebugInformation="TRUE"
+				ProgramDatabaseFile="$(OutDir)/proba.pdb"
+				SubSystem="2"
+				OptimizeForWindows98="1"
+				TargetMachine="1"/>
+			<Tool
+				Name="VCMIDLTool"/>
+			<Tool
+				Name="VCPostBuildEventTool"
+				CommandLine="copy $(OutDir)\$(TargetFileName) ..\..\..\bin\$(ConfigurationName)"/>
+			<Tool
+				Name="VCPreBuildEventTool"/>
+			<Tool
+				Name="VCPreLinkEventTool"/>
+			<Tool
+				Name="VCResourceCompilerTool"/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"/>
+			<Tool
+				Name="VCWebDeploymentTool"/>
+			<Tool
+				Name="VCManagedWrapperGeneratorTool"/>
+			<Tool
+				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="..\bin\$(ConfigurationName)"
+			IntermediateDirectory="..\obj\$(ConfigurationName)"
+			ConfigurationType="1"
+			CharacterSet="2"
+			WholeProgramOptimization="TRUE">
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="2"
+				GlobalOptimizations="TRUE"
+				InlineFunctionExpansion="1"
+				EnableIntrinsicFunctions="TRUE"
+				ImproveFloatingPointConsistency="TRUE"
+				FavorSizeOrSpeed="1"
+				OmitFramePointers="TRUE"
+				EnableFiberSafeOptimizations="FALSE"
+				OptimizeForProcessor="2"
+				OptimizeForWindowsApplication="TRUE"
+				AdditionalIncludeDirectories="..\include;&quot;$(OGRE_PATH)\Samples\Common\include&quot;;&quot;$(OGRE_PATH)\OgreMain\include&quot;;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include\RenderTechniques;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include\RenderingRuns;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include\RenderTechniques;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include\RenderingRuns"
+				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;GAMETOOLS_ILLUMINATION_MODULE"
+				StringPooling="TRUE"
+				MinimalRebuild="TRUE"
+				RuntimeLibrary="2"
+				BufferSecurityCheck="FALSE"
+				EnableFunctionLevelLinking="TRUE"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="TRUE"
+				DebugInformationFormat="3"/>
+			<Tool
+				Name="VCCustomBuildTool"/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="OgreMain.lib IllumModule_Ogre.lib IllumModule.lib"
+				OutputFile="$(OutDir)/GameToolsToneMapDemo.exe"
+				LinkIncremental="1"
+				AdditionalLibraryDirectories="..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\bin\Release;&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\bin\Release"
+				GenerateDebugInformation="FALSE"
+				SubSystem="2"
+				OptimizeReferences="2"
+				EnableCOMDATFolding="2"
+				OptimizeForWindows98="1"
+				TargetMachine="1"/>
+			<Tool
+				Name="VCMIDLTool"/>
+			<Tool
+				Name="VCPostBuildEventTool"
+				CommandLine="copy $(OutDir)\$(TargetFileName) ..\..\..\bin\$(ConfigurationName)"/>
+			<Tool
+				Name="VCPreBuildEventTool"/>
+			<Tool
+				Name="VCPreLinkEventTool"/>
+			<Tool
+				Name="VCResourceCompilerTool"/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"/>
+			<Tool
+				Name="VCWebDeploymentTool"/>
+			<Tool
+				Name="VCManagedWrapperGeneratorTool"/>
+			<Tool
+				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm">
+			<File
+				RelativePath="..\src\GameToolsToneMapDemo.cpp">
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc">
+			<File
+				RelativePath="..\include\GameToolsToneMapDemo.h">
+			</File>
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe">
+			<File
+				RelativePath="..\..\..\Media\materials\scripts\kupola.material">
+			</File>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: /GTP/trunk/App/Demos/Illum/Ogre/src/HierarchicalSystem/scripts/HierarchicalSystem.vcproj.7.10.old
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/src/HierarchicalSystem/scripts/HierarchicalSystem.vcproj.7.10.old	(revision 1691)
+++ /GTP/trunk/App/Demos/Illum/Ogre/src/HierarchicalSystem/scripts/HierarchicalSystem.vcproj.7.10.old	(revision 1691)
@@ -0,0 +1,181 @@
+<?xml version="1.0" encoding="windows-1250"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="7.10"
+	Name="HPSDEMO"
+	ProjectGUID="{09F9E809-02CF-4926-8203-2B9C02FBD916}"
+	Keyword="Win32Proj">
+	<Platforms>
+		<Platform
+			Name="Win32"/>
+	</Platforms>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory="..\bin\$(ConfigurationName)"
+			IntermediateDirectory="..\obj\$(ConfigurationName)"
+			ConfigurationType="1"
+			CharacterSet="2">
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				ImproveFloatingPointConsistency="TRUE"
+				AdditionalIncludeDirectories="..\include;&quot;$(OGRE_PATH)\Samples\Common\include&quot;;&quot;$(OGRE_PATH)\OgreMain\include&quot;;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include\RenderTechniques;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include\RenderingRuns;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include\RenderTechniques;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include\RenderingRuns"
+				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;GAMETOOLS_ILLUMINATION_MODULE"
+				MinimalRebuild="TRUE"
+				BasicRuntimeChecks="3"
+				RuntimeLibrary="3"
+				EnableFunctionLevelLinking="TRUE"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="TRUE"
+				DebugInformationFormat="4"/>
+			<Tool
+				Name="VCCustomBuildTool"/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="OgreMain_d.lib IllumModule_Ogre.lib IllumModule.lib"
+				OutputFile="$(OutDir)/HPSDemo.exe"
+				LinkIncremental="2"
+				AdditionalLibraryDirectories="..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\bin\Debug;&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\bin\Debug"
+				IgnoreDefaultLibraryNames=""
+				GenerateDebugInformation="TRUE"
+				ProgramDatabaseFile="$(OutDir)/proba.pdb"
+				SubSystem="2"
+				OptimizeForWindows98="1"
+				TargetMachine="1"/>
+			<Tool
+				Name="VCMIDLTool"/>
+			<Tool
+				Name="VCPostBuildEventTool"
+				CommandLine="copy $(OutDir)\$(TargetFileName) ..\..\..\bin\$(ConfigurationName)"/>
+			<Tool
+				Name="VCPreBuildEventTool"/>
+			<Tool
+				Name="VCPreLinkEventTool"/>
+			<Tool
+				Name="VCResourceCompilerTool"/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"/>
+			<Tool
+				Name="VCWebDeploymentTool"/>
+			<Tool
+				Name="VCManagedWrapperGeneratorTool"/>
+			<Tool
+				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="..\bin\$(ConfigurationName)"
+			IntermediateDirectory="..\obj\$(ConfigurationName)"
+			ConfigurationType="1"
+			CharacterSet="2"
+			WholeProgramOptimization="TRUE">
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="2"
+				GlobalOptimizations="TRUE"
+				InlineFunctionExpansion="1"
+				EnableIntrinsicFunctions="TRUE"
+				ImproveFloatingPointConsistency="TRUE"
+				FavorSizeOrSpeed="1"
+				OmitFramePointers="TRUE"
+				EnableFiberSafeOptimizations="FALSE"
+				OptimizeForProcessor="2"
+				OptimizeForWindowsApplication="TRUE"
+				AdditionalIncludeDirectories="..\include;&quot;$(OGRE_PATH)\Samples\Common\include&quot;;&quot;$(OGRE_PATH)\OgreMain\include&quot;;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include\RenderTechniques;..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\include\RenderingRuns;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include\RenderTechniques;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\include\RenderingRuns"
+				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;GAMETOOLS_ILLUMINATION_MODULE"
+				StringPooling="TRUE"
+				MinimalRebuild="TRUE"
+				RuntimeLibrary="2"
+				BufferSecurityCheck="FALSE"
+				EnableFunctionLevelLinking="TRUE"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="TRUE"
+				DebugInformationFormat="3"/>
+			<Tool
+				Name="VCCustomBuildTool"/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="OgreMain.lib IllumModule_Ogre.lib IllumModule.lib"
+				OutputFile="$(OutDir)/HPSDemo.exe"
+				LinkIncremental="1"
+				AdditionalLibraryDirectories="..\..\..\..\..\..\..\Lib\Illum\IllumModule\OgreIllumModule\bin\Release;&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;..\..\..\..\..\..\..\Lib\Illum\IllumModule\IllumModule\bin\Release"
+				GenerateDebugInformation="FALSE"
+				SubSystem="2"
+				OptimizeReferences="2"
+				EnableCOMDATFolding="2"
+				OptimizeForWindows98="1"
+				TargetMachine="1"/>
+			<Tool
+				Name="VCMIDLTool"/>
+			<Tool
+				Name="VCPostBuildEventTool"
+				CommandLine="copy $(OutDir)\$(TargetFileName) ..\..\..\bin\$(ConfigurationName)"/>
+			<Tool
+				Name="VCPreBuildEventTool"/>
+			<Tool
+				Name="VCPreLinkEventTool"/>
+			<Tool
+				Name="VCResourceCompilerTool"/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"/>
+			<Tool
+				Name="VCWebDeploymentTool"/>
+			<Tool
+				Name="VCManagedWrapperGeneratorTool"/>
+			<Tool
+				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm">
+			<File
+				RelativePath="..\src\HierarchicalSystem.cpp">
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc">
+			<File
+				RelativePath="..\include\HierarchicalSystem.h">
+			</File>
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe">
+			<File
+				RelativePath="..\..\..\Media\particle\GameTools.particle">
+			</File>
+			<File
+				RelativePath="..\..\..\Media\materials\scripts\GameTools_HPS.material">
+			</File>
+			<File
+				RelativePath="..\..\..\Media\materials\programs\GameTools_HPS_Smoke_L.hlsl">
+			</File>
+			<File
+				RelativePath="..\..\..\Media\materials\programs\GameTools_HPS_Smoke_L_Depth.hlsl">
+			</File>
+			<File
+				RelativePath="..\..\..\Media\materials\programs\GameTools_HPS_Smoke_S.hlsl">
+			</File>
+			<File
+				RelativePath="..\..\..\Media\materials\programs\GameTools_Smoke_IllumVolume.hlsl">
+			</File>
+			<File
+				RelativePath="..\..\..\Media\materials\scripts\Particles.material">
+			</File>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
